Delete Comment
DELETE
/api/canvas/{deal_id}/comments/{comment_id}
const url = 'https://example.com/api/canvas/example/comments/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/canvas/example/comments/example \ --header 'Authorization: Bearer <token>'Delete a comment. Author can always delete; editors/owners can moderate.
Phase 4: RequireCommenter — must be at least commenter; author + role check enforced by service.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
comment_id
required
Comment Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
DeleteCommentResponse
Response from DELETE /canvas/{deal_id}/comments/{comment_id}.
object
success
required
Success
boolean
comment_id
required
Comment Id
string
Example generated
{ "success": true, "comment_id": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}